/*
	pmwinod.h	11/28/88

	% Pmap window / graphics window object data header.
	by Ted.

	OWL 1.2
	Copyright (c) 1988, by Oakland Group, Inc.
	ALL RIGHTS RESERVED.

	Revision History:
	-----------------
	11/06/89 jmd	removed DoRaw macros
	 6/17/90 ted	Moved xoffs, yoffs to pmwin xd.
*/

#include "winod.h"

/* The pmwin class */

typedef struct _pmwinod {
	win_od		wd;		  		/* window super class */
} pmwin_od;

#define pmwinod_GetSelf(pmwdd)			winod_GetSelf(&(pmwdd)->wd)

/* request funcs */

OEXTERN objreq_fptr pmwinreq_mousefptr;

/* -------------------------------------------------------------------------- */
/* The grwin class */

typedef struct _grwinod {
	pmwin_od	pmwd;	  		/* window super class */
} grwin_od;

#define grwinod_GetSelf(grwdd)			pmwinod_GetSelf(&(grwdd)->pmwd)
/* -------------------------------------------------------------------------- */

